|

Check presence of data in a business's vault

get/businesses/{fp_bid}/vault
External ID
Retrieve information on which Data Identifiers are present in the business's vault.

Request

Path parameters

fp_bid·

string

Query parameters

fields·

optional array

Optionally, a comma-separated list of fields whose existence to check. For example, business.name,business.website,custom.account_id

Response

A key-value map of identifier to whether the identifier exists in the business vault
<key>·

string

Allowed values:

business.namebusiness.dbabusiness.websitebusiness.phone_numberbusiness.tinbusiness.address_line1business.address_line2business.citybusiness.statebusiness.zipbusiness.countrybusiness.corporation_typebusiness.formation_statebusiness.formation_date
custom.*
<value>·

boolean

GET /businesses/{fp_bid}/vault
1curl https://api.onefootprint.com/businesses/{fp_bid}/vault \
2  -u sk_test_xxxxx:
Response example
{
  "business.name": true,
  "business.website": true,
  "custom.account_id": true
}